async function main() {
  await Promise.all([
    onGlobalVarReady('$'),
    onGlobalVarReady('comparison'),
  ]);

  // Когда вверху все ок, то пробуем свое событие
  const siteLoadedEvent = new Event('siteLoaded');
  window.dispatchEvent(siteLoadedEvent);
}
main();

function onGlobalVarReady(varname) {
  return new Promise((resolve) => {
    let varvalue = window[varname];

    if (varvalue != null) {
      resolve();

      return;
    }

    Object.defineProperty(window, varname, {
      enumerable: true,
      configurable: true,
      get: () => varvalue,
      set: (newval) => {
        varvalue = newval;

        if (varvalue == null) return;

        Object.defineProperty(window, varname, {
          enumerable: true,
          configurable: true,
          writable: true,
          value: varvalue,
        });

        resolve();
      }
    });
  });
}
